MappingData (Apache Tomcat 9.0.37 API Documentation)

org.apache.catalina.mapper

## Class MappingData

- java.lang.Object
- - org.apache.catalina.mapper.MappingData

-     public class MappingData
      extends Object

  Mapping data.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Context` | `context`
    `MessageBytes` | `contextPath` Deprecated. Unused. This will be removed in Tomcat 10.
    `Context[]` | `contexts`
    `int` | `contextSlashCount`
    `Host` | `host`
    `boolean` | `jspWildCard`
    `MappingMatch` | `matchType`
    `MessageBytes` | `pathInfo`
    `MessageBytes` | `redirectPath`
    `MessageBytes` | `requestPath`
    `Wrapper` | `wrapper`
    `MessageBytes` | `wrapperPath`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MappingData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recycle()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### host

          public Host host

    - #### context

          public Context context

    - #### contextSlashCount

          public int contextSlashCount

    - #### contexts

          public Context[] contexts

    - #### wrapper

          public Wrapper wrapper

    - #### jspWildCard

          public boolean jspWildCard

    - #### contextPath

          @Deprecated
          public final MessageBytes contextPath

      Deprecated. Unused. This will be removed in Tomcat 10.

    - #### requestPath

          public final MessageBytes requestPath

    - #### wrapperPath

          public final MessageBytes wrapperPath

    - #### pathInfo

          public final MessageBytes pathInfo

    - #### redirectPath

          public final MessageBytes redirectPath

    - #### matchType

          public MappingMatch matchType

  - ### Constructor Detail

    - #### MappingData

          public MappingData()

  - ### Method Detail

    - #### recycle

          public void recycle()

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.